## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = FALSE,
  comment = "#>"
)

## ----titulares, results = TRUE, warning = FALSE, message = FALSE, eval=require("tibble")----
library(ACEP)

titulares <- c(acep_bases$titulares, "Hola mundo.")

titulares

## ----tt, eval=FALSE-----------------------------------------------------------
# titulares_tags <- acep_postag(
#   texto = titulares,
#   core = "es_core_news_lg", # valor por defecto
#   bajar_core = FALSE,       # el valor por defecto es TRUE
#   inst_spacy = FALSE,       # valor por defecto
#   inst_miniconda = FALSE,   # valor por defecto
#   inst_reticulate = FALSE   # valor por defecto
# )
# 
# str(titulares_tags)

## ----postag00, eval=require("tibble"), message=FALSE, warning=FALSE, echo=FALSE----
titulares_tags <- acep_load_base("https://github.com/HDyCSC/datos/raw/main/titulares_spacy.rds")
str(titulares_tags)

## ----postag01-----------------------------------------------------------------
head(titulares_tags$texto_tag[43:54, ], n = 12)

## ----postag02-----------------------------------------------------------------
head(titulares_tags$texto_tag_entity[52:65, ], n = 14)

## ----postag03-----------------------------------------------------------------
head(titulares_tags$texto_only_entity, n = 10)

## ----postag04-----------------------------------------------------------------
head(titulares_tags$texto_only_entity_loc[ , c(1:3, 6:7)], n = 4)

## ----postag05-----------------------------------------------------------------
head(titulares_tags$texto_nounphrase[ , c(1:2, 4, 6)], n = 10)

## ----postag06-----------------------------------------------------------------
head(titulares_tags$texto_only_nounphrase, n = 10)

## ----titulares2, results = TRUE, warning = FALSE, message = FALSE, eval=require("tibble")----
library(ACEP)

titulares <- c(acep_bases$titulares, "Hola mundo.")

titulares

## ----t, eval=FALSE------------------------------------------------------------
# titulares_utags <- acep_upos(
#   texto = titulares,
#   modelo = "spanish" # valor por defecto
# )
# 
# str(titulares_utags)

## ----upos, eval=require("tibble"), message=FALSE, warning=FALSE, echo=FALSE----
titulares_utags <- acep_load_base("https://github.com/HDyCSC/datos/raw/main/titulares_udpipe.rds")
str(titulares_utags)

## ----svo01--------------------------------------------------------------------
titulares_svo <- acep_svo(titulares_utags)

str(titulares_svo)

## ----svo02, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_annotate_svo[98:106, ], n=20)

## ----svo03, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_pro_svo, n=10)

## ----svo04, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_list_svo, n=10)

## ----svo05, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_sp, n=10)

## ----svo06, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_lista_lemmas, n=10)

## ----svo07, eval=require("tibble")--------------------------------------------
head(titulares_svo$acep_no_procesadas, n=10)

